Subject: Re: [CGA-EXT] Comments on draft-ietf-csi-sndp-prob-01.txt

From: Jean-Michel Combes <[email-masked]>
Date: Fri, 9 Oct 2009 17:14:58 +0200

Hi Tony,

At first, sorry for the delayed reply and thanks for your comments.

2009/3/27 Tony Cheneau <[email-masked]>:
> Hello,
>
> I've read draft-ietf-csi-sndp-prob-01.txt. I think the document is in a good
> shape. Still I have some small questions and comments.
>
> - Figure 3, the box isn't drawn correctly (misaligned dashes)

OK.

>
> - section 3.3:
> Concerning the DAD issue on ND proxy, I think there might be a problem
> too when there is a real collision. The node defending its address will
> send a NA that might go thought the proxy. The proxy may not be
> authorized to modify this NA if it is protected by SEND.
> Does this make sense ? Or will this case never happen ?

IMHO, this case is already include in the previous sections because
DAD NA message is the same as a Solicited NA message.

>
> - section 4.2.5: s/are are/are/

OK.

>
> - section 4.2.6:
>   Movement between segments could be controlled with increasing
>   certificate sequence numbers and timestamps.  The timestamp of the
>   root authority (in this case, the CGA address owner) would be most
>   significant.  Where ties exist, the shortest chain would supercede,
>   as this would indicate a proxy closer to the proxied node.
>
> I don't understand the first sentence. Can you detail ? (Are you referring
> to
> serial numbers ?)

Yes: this is in fact serial numbers. I will modify it.

Thanks again for the comments!

Cheers.

JMC.

> Regards,
>        Tony Cheneau